<?php

/**
 * holds status key and value
 * @author Patric Eid
 *
 */
class WemaloAPIOrderStatus {
	private $key;
	private $value;
	
	/**
	 * creates a new object
	 * @param string $key
	 * @param string $value
	 * @return WemaloAPIOrderStatus
	 */
	public static function create($key, $value) {
		$tmp = new WemaloAPIOrderStatus();
		$tmp->setValue($value);
		$tmp->setKey($key);
		return $tmp;
	} 
	
	/**
	 * returns the key
	 * @return string
	 */
	public function getKey() {
		return $this->key;
	}
	
	/**
	 * returns the value
	 * @return string
	 */
	public function getValue() {
		return $this->value;
	}
	
	/**
	 * sets the key
	 * @param string $key
	 */
	public function setKey($key) {
		$this->key = $key;
	}
	
	/**
	 * sets the value
	 * @param string $value
	 */
	public function setValue($value) {
		$this->value = $value;
	}
}